## com.baidubce.services.bos.model
Class InitiateMultipartUploadResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bos.model.BosResponse
              com.baidubce.services.bos.model.InitiateMultipartUploadResponse

    public class InitiateMultipartUploadResponse

extends BosResponse

Contains the results of initiating a multipart upload, particularly the unique ID of the new multipart upload.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`InitiateMultipartUploadResponse()`

Method Summary
`String` `getBucketName()` Returns the name of the bucket in which the new multipart upload was initiated.
`String` `getKey()` Returns the object key for which the multipart upload was initiated.
`String` `getUploadId()` Returns the initiated multipart upload ID.
`void` `setBucketName(String bucketName)` Sets the name of the bucket in which the new multipart upload was initiated.
`void` `setKey(String key)` Sets the object key for which the multipart upload was initiated.
`void` `setUploadId(String uploadId)` Sets the initiated multipart upload ID.

Methods inherited from class com.baidubce.services.bos.model.BosResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitiateMultipartUploadResponse

    public InitiateMultipartUploadResponse()

Method Detail

### getBucketName

    public String getBucketName()

  Returns the name of the bucket in which the new multipart upload was initiated.

  Returns:
    The name of the bucket in which the new multipart upload was initiated.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the bucket in which the new multipart upload was initiated.

  Parameters:
    `bucketName` - The name of the bucket in which the new multipart upload was initiated.

### getKey

    public String getKey()

  Returns the object key for which the multipart upload was initiated.

  Returns:
    The object key for which the multipart upload was initiated.

### setKey

    public void setKey(String key)

  Sets the object key for which the multipart upload was initiated.

  Parameters:
    `key` - The object key for which the multipart upload was initiated.

### getUploadId

    public String getUploadId()

  Returns the initiated multipart upload ID.

  Returns:
    the initiated multipart upload ID.

### setUploadId

    public void setUploadId(String uploadId)

  Sets the initiated multipart upload ID.

  Parameters:
    `uploadId` - The initiated multipart upload ID.

Copyright © 2016. All rights reserved.